summaryrefslogtreecommitdiffstats
path: root/libraries/libwebp
diff options
context:
space:
mode:
author Heinz Wiesinger2016-02-21 15:21:17 +0100
committer Willy Sudiarto Raharjo2016-02-22 18:57:51 +0100
commit22063600e8c6ca5f69165feb0e2b15685055229a (patch)
tree5d2bed35b8dc0d43a0fa90b8a855aff721b1d8d1 /libraries/libwebp
parente9e2f1f076d5323636eb43f423f36890d12df7a5 (diff)
downloadslackbuilds-22063600e8c6ca5f69165feb0e2b15685055229a.tar.gz
libraries/libwebp: Also strip generated python bindings.
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'libraries/libwebp')
-rw-r--r--libraries/libwebp/libwebp.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/libraries/libwebp/libwebp.SlackBuild b/libraries/libwebp/libwebp.SlackBuild
index f848f821fb..79cba35815 100644
--- a/libraries/libwebp/libwebp.SlackBuild
+++ b/libraries/libwebp/libwebp.SlackBuild
@@ -5,7 +5,7 @@
PRGNAM=libwebp
VERSION=${VERSION:-0.4.3}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -66,7 +66,7 @@ CXXFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
(
cd swig
@@ -83,6 +83,9 @@ make install-strip DESTDIR=$PKG
fi
)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
find $PKG/usr/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION